# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Benchmark.pm) perl(Config.pm) perl(FileHandle.pm) perl(Tk/BrowseEntry.pm) perl(overload.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Test-Unit
Version:        0.25
Release:        alt1_15
Summary:        The PerlUnit testing framework

Group:          Development/Perl
License:        GPL+ or Artistic
URL:            http://perlunit.sourceforge.net/
Source0:        http://search.cpan.org/CPAN/authors/id/M/MC/MCAST/Test-Unit-%{version}.tar.gz
# https://rt.cpan.org/Public/Bug/Display.html?id=69025
Patch0:         tests5.14.patch
# https://rt.cpan.org/Public/Bug/Display.html?id=77779
Patch1:         perl5.16.patch

BuildArch:      noarch
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Class/Inner.pm)
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(Devel/Symdump.pm)
BuildRequires:  perl(Error.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(Test.pm)
BuildRequires:  perl(Tk.pm)
BuildRequires:  perl(Tk/Canvas.pm)
BuildRequires:  perl(Tk/Derived.pm)
BuildRequires:  perl(Tk/DialogBox.pm)
BuildRequires:  perl(Tk/ROText.pm)

Source44: import.info
%filter_from_provides /^perl\\(Experimental.Sample.pm\\)/d
%filter_from_provides /^perl\\(fail_example.pm\\)/d
%filter_from_provides /^perl\\(fail_example_testsuite_setup.pm\\)/d
%filter_from_requires /^perl\\(Exporter.pm\\)/d

%description
This framework is intended to support unit testing in an object-oriented
development paradigm (with support for inheritance of tests etc.) and is
derived from the JUnit testing framework for Java by Kent Beck and Erich
Gamma.





%prep
%setup -q -n Test-Unit-%{version}
%patch0 -p1
%patch1 -p1
sed -i 's/\r//' examples/Experimental/Sample.pm
chmod a+x TkTestRunner.pl TestRunner.pl

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%files
%doc AUTHORS ChangeLog Changes COPYING.Artistic COPYING.GPL-2 doc examples README
%{perl_vendor_privlib}/*


%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.25-alt1_15
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.25-alt1_14
- update to new release by fcimport

* Wed May 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.25-alt1_12
- fc import

